#include<bits/stdc++.h>
#define all(a) a.begin(), a.end()
#define pb push_back
using namespace std;
using ll = long long;
using vi = vector<int>;
using vll = vector<ll>;
using pii = pair<int, int>;

const int inf = 1e9;

int find(vll& pr, ll val) {
	int ans = -1;
	int left = 0, right = pr.size() - 1;
	while (left <= right) {
		int mid = (left + right) / 2;
		ll sum = pr[mid];
		if (mid > 0) sum -= pr[mid - 1];
		if (sum >= val) {
			ans = mid;
			left = mid + 1;
		}
		else right = mid - 1;
	}
	assert(ans != -1);
	return ans;
}

vi solve(vi& a) {
	int n = a.size();
	
	unordered_map<int, stack<int>> inds;
	for (int i=0; i<n; i++) {
		inds[a[i]].push(i);
	}
	
	sort(all(a));
	
	ll tot = accumulate(all(a), 0LL);
	tot = (tot + 1) / 2;
	
	ll sum = 0;
	int mn, mx;
	for (mn = n - 1; mn >= 0; mn--) {
		sum += a[mn];
		if (sum >= tot) {
			break;
		}
	}
	mn = n - mn;
	
	sum = 0;
	for (mx = 0; mx < n; mx++) {
		sum += a[mx];
		if (sum >= tot) break;
	}
	mx++;
	
	int m = -1, diff = inf;
	for (int i = mn; i<=mx; i++) {
		if (abs(n / 2 - i) < diff) {
			diff = abs(n / 2 - i);
			m = i;
		}
	}
	
	sum = 0;
	int i;
	for (i=0; i<n; i++) {
		sum += a[i];
		if (i >= m) sum -= a[i - m];
		
		if (sum >= tot && i+1 >= m) break;
	}
	
	vi ans;
	for (int j=i-m+1; j<=i; j++) {
		ans.pb(inds[a[j]].top());
		inds[a[j]].pop();
	}
	
	for (int j=0; j<n; j++) {
		if (j >= i - m + 1 && j <= i) continue;
		ans.pb(inds[a[j]].top());
		inds[a[j]].pop();
	}
	
//	for (int d : ans) cout << d << ' ';
//	cout << endl;
//	for (int d : ans) cout << a[d] << ' ';
	
	return ans;
}


int main() {
	int n;
	cin >> n;
	
	cout << 0 << endl;
	
	return 0;
}

/*
9
5 6 6 3 1 1 4 4 3

8
2 2 3 2 3 2 2 3
*/